WingzParserInternal::State Struct Reference

Internal: the state of a WingzParser. More...

## Public Member Functions

| State ()
| constructor

## Static Public Member Functions

static bool | getPatternPercent (int patId, int vers, float &percent)
| returns the pattern percent corresponding to an id and a version

## Public Attributes

bool | m_encrypted
| a flag to know if the data is encrypted
Spreadsheet | m_spreadsheet
| the spreadsheet
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a WingzParser.

## Constructor & Destructor Documentation

## State()

WingzParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getPatternPercent()

bool WingzParserInternal::State::getPatternPercent | ( | int | patId,
|  | int | vers,
|  | float & | percent )

static

returns the pattern percent corresponding to an id and a version

## Member Data Documentation

## m_encrypted

bool WingzParserInternal::State::m_encrypted

a flag to know if the data is encrypted

Referenced by State().

## m_footerHeight

int WingzParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_headerHeight

int WingzParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_numPages

int WingzParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_spreadsheet

Spreadsheet WingzParserInternal::State::m_spreadsheet

the spreadsheet

Referenced by State().

The documentation for this struct was generated from the following file:

- WingzParser.cxx